package com.muyu.domain;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.domain.model.ActivityTeamOpenInfoAddModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamOpenInfo {
  /**
   * 主键
   */
  @TableId(value = "id",type = IdType.AUTO)
  private Long id;
  /**
   * 团购活动ID
   */
  private Long teamId;
  /**
   * 团购类型
   */
  private String teamType;
  /**
   * 团购策略
   */
  private Long teamStrategyId;
  /**
   * 参团类型
   */
  private String executiveType;
  /**
   * 结束团购时间
   */
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  private Date endTime;
  /**
   * 商品ID
   */
  private Long productId;
  /**
   * 商品名称
   */
  private String productName;
  /**
   * 商品规格
   */
  private String productSku;
  /**
   * 开团标识
   */
  private String openkey;
  /**
   * 订单ID
   */
  private Long orderId;
  /**
   * 开团状态
   */
  private String status;

  public static ActivityTeamOpenInfo add(ActivityTeamOpenInfoAddModel addModel){
    return ActivityTeamOpenInfo.builder()
            .teamId(addModel.getTeamId())
            .teamType(addModel.getTeamType())
            .teamStrategyId(addModel.getTeamStrategyId())
            .build();
  }


}
