package com.muyu.domain.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * @author CuiFu Bo
 * @create 2024-12-04 19:05
 **/


@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamOpenInfoAddModel {
    /**
     * 团购活动ID
     */
    private Long teamId;
    /**
     * 团购类型
     */
    private String teamType;
    /**
     * 团购策略
     */
    private Long teamStrategyId;
    /**
     * 参团类型
     */
    private String executiveType;
    /**
     * 结束团购时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 商品规格
     */
    private String productSku;
    /**
     * 开团标识
     */
    private String openkey;
    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 开团状态
     */
    private String status;

}

