package com.muyu.domain.model;


import com.muyu.domain.ActivityTeamProductSkuInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @program: 2204a-cloud-server
 * @description: 回显sku模型
 * @author: AoCi Tian
 * @create: 2024-11-26 16:03
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActivityTeamProductSkuModel {
    /**
     * 规格id
     */
    private Long id;
    /**
     * 规格SKU
     */
    private String sku;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;

    public static ActivityTeamProductSkuModel FindBuild(ActivityTeamProductSkuInfo activityTeamProductSkuInfo) {
        return ActivityTeamProductSkuModel.builder()
                .id(activityTeamProductSkuInfo.getId())
                .sku(activityTeamProductSkuInfo.getProductSku())
                .teamStock(activityTeamProductSkuInfo.getTeamStock())
                .teamPrice(activityTeamProductSkuInfo.getTeamPrice())
                .build();
    }
}
