package com.muyu.system.team.service.impl;


import cn.hutool.core.util.RandomUtil;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.ActivityTeamInfo;
import com.muyu.domain.ActivityTeamOpenInfo;
import com.muyu.domain.TeamStrategyExemption;
import com.muyu.domain.TeamStrategyExemptionHundred;
import com.muyu.product.domain.ProjectInfo;
import com.muyu.product.domain.ProjectSkuInfo;
import com.muyu.product.remote.RemoteProjectInfoService;
import com.muyu.product.remote.RemoteProjectSkuService;
import com.muyu.system.team.mapper.TeamStrategyExemptionHundredMapper;
import com.muyu.system.team.mapper.TeamStrategyExemptionMapper;
import com.muyu.system.team.service.ActivityTeamInfoService;
import com.muyu.system.team.service.ActivityTeamOpenInfoService;
import com.muyu.system.team.service.ActivityTeamProductSkuInfoService;
import com.muyu.system.team.service.TeamStrategyExemptionService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.UUID;

/**
 拼团免单策略
 * @author: CuiFu Bo
 * @create: 2024-11-20 21:43
 **/

@Log4j2
@Service("team_strategy_exemption")
public class TeamStrategyExemptionServiceImpl  extends ServiceImpl<TeamStrategyExemptionMapper, TeamStrategyExemption>
        implements TeamStrategyExemptionService {
    @Autowired
    private ActivityTeamInfoService activityTeamInfoService;
    @Autowired
    private ActivityTeamProductSkuInfoService activityTeamProductSkuInfoService;
    @Autowired
    private ActivityTeamOpenInfoService activityTeamOpenInfoService;
    @Resource
    private RemoteProjectInfoService remoteProjectInfoService;
    @Resource
    private RemoteProjectSkuService remoteProjectSkuService;
    @Override
    public void openTeam(Long activityTeamId) {
        log.info("参加  免拼团{}",activityTeamId);
        TeamStrategyExemption teamStrategyExemption = this.getById(activityTeamId);
        ActivityTeamInfo activityTeamInfo = activityTeamInfoService.getById(activityTeamId);


        //获取商品ID
        Long productId = activityTeamInfo.getProductId();
        //通过商品ID从商品缓存里获取到商品信息
        Result<ProjectInfo> projectInfoResult = remoteProjectInfoService.getInfo(productId);
        ProjectInfo projectInfo = projectInfoResult.getData();
        Result<ProjectSkuInfo> projectSkuInfoResult = remoteProjectSkuService.getInfoByProjectIdAndSku(productId, "骁龙888-8G-128G");
        ProjectSkuInfo projectSkuInfo = projectSkuInfoResult.getData();
        ActivityTeamOpenInfo activityTeamOpenInfo = new ActivityTeamOpenInfo();
        activityTeamOpenInfo.setTeamId(activityTeamId);
        activityTeamOpenInfo.setTeamType(activityTeamInfo.getStrategyType());
        activityTeamOpenInfo.setTeamStrategyId(activityTeamInfo.getStrategyId());
        activityTeamOpenInfo.setExecutiveType(activityTeamInfo.getStrategyType());
        activityTeamOpenInfo.setEndTime(activityTeamInfo.getEndTime());
        activityTeamOpenInfo.setProductId(projectInfo.getId());
        activityTeamOpenInfo.setProductName(projectInfo.getName());
        activityTeamOpenInfo.setProductSku(projectSkuInfo.getSku());
        String openKey = UUID.randomUUID().toString();
        activityTeamOpenInfo.setOpenkey(openKey);
        Long numbers = Long.valueOf(RandomUtil.randomNumbers(8));
        activityTeamOpenInfo.setOrderId(numbers);
        activityTeamOpenInfo.setStatus("Y");
        activityTeamOpenInfoService.save(activityTeamOpenInfo);
    }

    @Override
    public String applyTeam(Long teamId) {
        ActivityTeamOpenInfo teamOpenInfo = activityTeamOpenInfoService.getById(teamId);

        return null;
    }

    @Override
    public void addTeam(Long teamId, String orderNumber) {

    }

    @Override
    public void backTeam(Long teamId) {

    }

    @Override
    public void settle(Long teamId) {

    }
}