package com.muyu.system.team.strategy;

/**
 * 团活动策略
 */
public interface ActivityTeamStrategy {

    /**
     * 开团
     * @param activityTeamId 团购活动ID
     */
    public void openTeam(Long activityTeamId);



    /**
     * 申请加团
     * @param teamId  团ID
     * @return 申请成功code
     */
    public String applyTeam(Long teamId);


    /**
     * 参团
     * @param teamId 加团ID
     * @param orderNumber  订单编号
     */
    public void addTeam(Long teamId,String orderNumber);


    /**
     * 退团
     * @param teamId 团购ID
     */
    public void backTeam(Long teamId);


    /**
     * 结算团
     * @param teamId  团购ID
     */
    public void settle(Long teamId);
}

