package com.muyu.system.team.strategy.impl;

import com.muyu.common.core.exception.ServiceException;
import com.muyu.common.core.utils.SpringUtils;
import com.muyu.system.team.strategy.ActivityTeamStrategy;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

@Service
@Primary
public class ActivityTeamStrategyImpl implements ActivityTeamStrategy {
    @Override
    public void openTeam(Long activityTeamId) {
        String activityTeamType =null;
        if (activityTeamId==null){
            throw new ServiceException("activityTeamId is null");
        } else if (activityTeamId==0) {
            activityTeamType="team_strategy_exemption";
        }else if (activityTeamId==1){
            activityTeamType="team-strategy-hundred";
        }else if (activityTeamId==2){
            activityTeamType="team_strategy_ordinary";
        }
        ActivityTeamStrategy activityTeamStrategy = SpringUtils.getBean(activityTeamType);
        activityTeamStrategy.openTeam(activityTeamId);

    }

    @Override
    public String applyTeam(Long teamId) {
        return null;
    }

    @Override
    public void addTeam(Long teamId, String orderNumber) {

    }

    @Override
    public void backTeam(Long teamId) {

    }

    @Override
    public void settle(Long teamId) {

    }
}
