package com.muyu.product.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：cuifubo
 * @Package：com.muyu.product.domain.resp
 * @Project：cloud-server
 * @name：ProjectInfoResp
 * @Date：2024.11.20 00:54
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ProjectInfoResp {
    /** 主键 */
    private Long id;

    /** 商品名称 */
    private String name;

    /** 商品描述 */
    private String introduction;

    /** 主类型 */
    private Long mianType;

    /** 父类型 */
    private Long parentType;

    /** 商品类型 */
    private Long type;

    /** 商品图片 */
    private String image;

    /** 商品轮播图 */
    private String carouselImages;

    /** 商品状态 */
    private String status;

    /** 规格 */
    private Long ruleId;

    /** 品牌 */
    private Long brandId;


    /**
     * 主类型名称
     */
    public String mianTypeName;
    /**
     * 父类型名称
     */
    public String parentTypeName;
    /**
     * 商品类型名称
     */
    public String typeName;
    /**
     * 规格名称
     */
    public String ruleName;
    /**
     * 品牌名称
     */
    public String brandName;
}
